curl --request GET \
--url https://ai.wisepilot.app/api/v1/content/listeners/{id}/items \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listenerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceType": "reddit",
"title": "<string>",
"url": "<string>",
"summary": "<string>",
"author": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"contentType": "article",
"status": "pending",
"evaluation": {},
"opportunityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fetchedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"limit": 123,
"offset": 123
}
}Returns items fetched by the listener, optionally filtered by evaluation status.
curl --request GET \
--url https://ai.wisepilot.app/api/v1/content/listeners/{id}/items \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listenerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceType": "reddit",
"title": "<string>",
"url": "<string>",
"summary": "<string>",
"author": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"contentType": "article",
"status": "pending",
"evaluation": {},
"opportunityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fetchedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"limit": 123,
"offset": 123
}
}API key prefixed with cr_ (e.g. cr_a1b2c3...)
The listener UUID
Filter items by evaluation status
pending, evaluating, opportunity_created, dismissed, duplicate Max results (default 50, max 200)
x <= 200Pagination offset
x >= 0